# CTL_MBOXLIST

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
FILES
SEE ALSO

## NAME

| ctl_mboxlist − perform operations on the mailbox list database

## SYNOPSIS

| ctl_mboxlist [ −C config-file ] −d [ −x ] [ −p partition ] [ −f filename ] ctl_mboxlist [ −C config-file ] −u [ −f filename ] ctl_mboxlist [ −C config-file ] −m [ −a ] [ −w ] [ −f filename ] ctl_mboxlist [ −C config-file ] −v [ −f filename ]

## DESCRIPTION

| Ctl_mboxlist is used to perform various administrative operations on the mailbox list database. Ctl_mboxlist reads its configuration options out of the imapd.conf(5) file unless specified otherwise by -C. The configdirectory option is used to determine the default location of the mailbox list database.

## OPTIONS

| −C config-file

| Read configuration options from config-file.

| −d |  | Dump the contents of the database to standard output in a portable flat-text format. NOTE: In Cyrus versions 2.2.13 and earlier, the dump format did not include the mailbox type flags, breaking remote mailboxes (frontends, mupdate master, unified backends) when undumped.
| −x |  | When performing a dump, remove the mailboxes dumped from the mailbox list (mostly useful when specified with -p)

| −p partition

| When performing a dump, dump only thise mailboxes that live on partition

| −u |  | Load the contents of the database from standard input. The input MUST be in the format output using the −d option. NOTE: Both the old and new formats can be loaded, but the old format will break remote mailboxes.
| −m |  | For backend servers in the Cyrus Murder, synchronize the local mailbox list file with the MUPDATE server.
| −a |  | When used with -m, assume the local mailboxes file is authoritiative, that is, only change the mupdate server, do not delete any local mailboxes. USE THIS OPTION WITH CARE, as it allows namespace collisions into the murder.
| −w |  | When used with -m, print out what would be done but do not perform the operations.
| −v |  | Verify the consistency of the mailbox list database and the spool partition(s). Mailboxes present in the database and not located on a spool partition, and those located on a spool partition (directory containing a valid cyrus.header file) and not present in the database will be reported. Note that this function is very I/O intensive.

| −f filename

| Use the database specified by filename instead of the default (configdirectory/mailboxes.db).

## FILES

| /etc/imapd.conf

## SEE ALSO

| imapd.conf(5), master(8)